<?php

namespace App\Http\Controllers\Dashboard\Roles;

use App\Http\Requests\Admin\Role\SaveRoleRequest;
use Illuminate\Http\RedirectResponse;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Spatie\Permission\Models\Role;

class SaveRolesController extends Controller
{
  /**
   * Handle the incoming request.
   *
   * @param SaveRoleRequest $request
   * @return RedirectResponse
   */
  public function __invoke(SaveRoleRequest $request)
  {
    $role = Role::create(['name' => $request->validated('name')]);

    $role->permissions()->sync($request->validated('permissions'));

    return redirect()->route('list-roles');
  }
}
