<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class EnsureAdminIsAuthenticated
{
  /**
   * Handle an incoming request.
   *
   * @param Request $request
   * @param Closure $next
   * @return mixed
   */
  public function handle(Request $request, Closure $next): mixed
  {
    // Use the 'admin' guard to check the user
    if (Auth::guard('admin')->check()) {
      return $next($request);
    }

    return redirect()->route('dashboard.admin.login.form');
  }
}
