<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class RedirectIfAdminAuthenticated
{
  /**
   * Handle an incoming request.
   *
   * @param Request $request
   * @param Closure $next
   * @return mixed
   */
  public function handle(Request $request, Closure $next): mixed
  {
    // Check if the admin is already authenticated
    if (Auth::guard('admin')->check()) {
      return redirect()->route('dashboard.home');
    }

    return $next($request); // Allow guest access to the route
  }
}
