<?php

namespace App\Rules\Dashboard;

use App\Models\Admin;
use Closure;
use Illuminate\Contracts\Validation\ValidationRule;
use Illuminate\Support\Facades\Hash;
use Illuminate\Translation\PotentiallyTranslatedString;

class ValidActiveAdminPassword implements ValidationRule
{
  protected $usernameType;
  protected $username;

  public function __construct($usernameType, $username)
  {
    $this->usernameType = $usernameType;
    $this->username = $username;
  }

  /**
   * Run the validation rule.
   *
   * @param Closure(string): PotentiallyTranslatedString $fail
   */
  public function validate(string $attribute, mixed $value, Closure $fail): void
  {
    $admin = Admin::query()->active()->where($this->usernameType, $this->username)->first();

    if (!$admin || !Hash::check($value, $admin->password)) {
      $fail('The provided credentials are incorrect.');
    }

  }
}
