<?php

namespace App\Rules\Dashboard;

use App\Models\Admin;
use Closure;
use Illuminate\Contracts\Validation\ValidationRule;
use Illuminate\Translation\PotentiallyTranslatedString;

class ValidActiveAdminUser implements ValidationRule
{
  protected $usernameType;
  protected $username;

  public function __construct($usernameType, $username)
  {
    $this->usernameType = $usernameType;
    $this->username = $username;
  }

  /**
   * Run the validation rule.
   *
   * @param Closure(string): PotentiallyTranslatedString $fail
   */
  public function validate(string $attribute, mixed $value, Closure $fail): void
  {
    $admin = Admin::query()->active()->where($this->usernameType, $this->username)->first();

    if (!$admin || !$admin->active) {
      $fail('This admin account is not active.');
    }
  }
}
