@php
  $customizerHidden = 'customizer-hide';
      $pageConfigs = ['myLayout' => 'blank'];
@endphp

@extends('layouts/layoutMaster')

@section('title', 'Login Basic - Pages')

@section('vendor-style')
  @vite([
    'resources/assets/vendor/libs/@form-validation/form-validation.scss',
    'resources/assets/vendor/libs/toastr/toastr.scss',
    'resources/assets/vendor/libs/animate-css/animate.scss'
  ])
@endsection

@section('page-style')
  @vite([
    'resources/assets/vendor/scss/pages/page-auth.scss'
  ])
@endsection

@section('vendor-script')
  @vite([
    'resources/assets/vendor/libs/@form-validation/popular.js',
    'resources/assets/vendor/libs/@form-validation/bootstrap5.js',
    'resources/assets/vendor/libs/@form-validation/auto-focus.js',
    'resources/assets/vendor/libs/toastr/toastr.js'
  ])

@endsection

@section('page-script')
  @vite([
    'resources/assets/js/pages-auth.js',
    'resources/assets/js/ui-toasts.js'
  ])

  <script type="module">
    toastr.options = {
      "closeButton": true,                // Show a close button on the notification
      "progressBar": true,                // Display a progress bar
      "timeOut": "6000",                 // 10 seconds before the toast disappears
      "extendedTimeOut": "2000",          // Extend timeout on hover
      "showDuration": "500",              // Duration of the show animation (milliseconds)
      "hideDuration": "1000",             // Duration of the hide animation (milliseconds)
      "positionClass": "toast-top-right", // Position of the toast notification
      "newestOnTop": true,                // Display newest toast on top
      "preventDuplicates": true,          // Prevent duplicate notifications
      "showMethod": "fadeIn",             // Animation method when the toast shows
      "hideMethod": "fadeOut",            // Animation method when the toast hides
      "showEasing": "swing",              // Easing function for showing animation (options: 'swing', 'linear')
      "hideEasing": "linear"             // Easing function for hiding animation
    }

    @if ($errors->any())
    @foreach ($errors->all() as $error)
    toastr.error('{{ $error }}')
    @endforeach
    @endif
  </script>

@endsection

@section('content')

  <div class="container-xxl">
    <div class="authentication-wrapper authentication-basic container-p-y">
      <div class="authentication-inner">
        <!-- Register -->
        <div class="card px-sm-6 px-0">
          <div class="card-body">
            <!-- Logo -->
            <div class="app-brand justify-content-center">
              <a href="{{url('/')}}" class="app-brand-link gap-2">
                <span
                  class="app-brand-logo demo">@include('_partials.macros',["width"=>25,"withbg"=>'var(--bs-primary)'])</span>
                <span class="app-brand-text demo text-heading fw-bold">{{config('variables.templateName')}}</span>
              </a>
            </div>
            <!-- /Logo -->
            <h4 class="mb-1">Welcome to {{config('variables.templateName')}}! 👋</h4>
            <p class="mb-6">Please sign-in to your account and start the adventure</p>

            <form id="formAuthentication" class="mb-6" action="{{route('dashboard.admin.login.submit')}}" method="POST">
              @csrf
              <div class="mb-6">
                <label for="email" class="form-label">Email or Username</label>
                <input type="text" class="form-control" id="username" name="username"
                       placeholder="Enter your email or username" autofocus>
              </div>
              <div class="mb-6 form-password-toggle">
                <label class="form-label" for="password">Password</label>
                <div class="input-group input-group-merge">
                  <input type="password" id="password" class="form-control" name="password"
                         placeholder="&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;"
                         aria-describedby="password" />
                  <span class="input-group-text cursor-pointer"><i class="bx bx-hide"></i></span>
                </div>
              </div>
              <div class="mb-8">
                <div class="d-flex justify-content-between mt-8">
                  <div class="form-check mb-0 ms-2">
                    <input class="form-check-input" type="checkbox" id="remember-me">
                    <label class="form-check-label" for="remember-me">
                      Remember Me
                    </label>
                  </div>

                </div>
              </div>
              <div class="mb-6">
                <button class="btn btn-primary d-grid w-100" type="submit">Login</button>
              </div>
            </form>

            <div class="divider my-6">
              <div class="divider-text">Social</div>
            </div>

            <div class="d-flex justify-content-center">
              <a href="javascript:;" class="btn btn-sm btn-icon rounded-circle btn-text-facebook me-1_5">
                <i class='bx bxl-facebook-circle'></i>
              </a>

              <a href="javascript:;" class="btn btn-sm btn-icon rounded-circle btn-text-twitter me-1_5">
                <i class="tf-icons bx bxl-twitter"></i>
              </a>

              <a href="javascript:;" class="btn btn-sm btn-icon rounded-circle btn-text-github me-1_5">
                <i class='bx bxl-github'></i>
              </a>

              <a href="javascript:;" class="btn btn-sm btn-icon rounded-circle btn-text-google-plus">
                <i class="tf-icons bx bxl-google"></i>
              </a>
            </div>
          </div>
        </div>
        <!-- /Register -->
      </div>
    </div>
  </div>

@endsection
