@php
    $params = [
        'id' => data_get($row, $this->realPrimaryKey),
        'isHidden' => !$showToggleable,
        'tableName' => $tableName,
        'field' => $column->field,
        'toggle' => (int) $row->{$column->field},
        'trueValue' => $column->toggleable['default'][0],
        'falseValue' => $column->toggleable['default'][1],
    ];
@endphp

<div x-data="pgToggleable(@js($params))">
    @if ($column->toggleable['enabled'] && $showToggleable === true)
        <div class="form-check form-switch" style=" margin: 0px; padding-right: 15%; ">
            <label class="switch switch-square switch-lg">
                <input
                    x-on:click="save()"
                    class="switch-input"
                    :checked="toggle === 1"
                    type="checkbox"
                >
                <span class="switch-toggle-slider">
                <span class="switch-on">
                  <i class="bx bx-check"></i>
                </span>
                <span class="switch-off">
                  <i class="bx bx-x"></i>
                </span>
              </span>
            </label>
        </div>
    @else
        <div class="text-center">
            @if ($row->{$column->field} == 0)
                <div
                    x-text="falseValue"
                    style="padding-top: 0.1em; padding-bottom: 0.1rem"
                    class="badge bg-danger"
                >
                </div>
            @else
                <div
                    x-text="trueValue"
                    style="padding-top: 0.1em; padding-bottom: 0.1rem"
                    class="badge bg-success"
                >
                </div>
            @endif
        </div>
    @endif
</div>
